package cn.gov.customs.wxjy.demo.constant;

import cn.gov.customs.cacp.sdks.core.result.ResultCodeMessage;
import lombok.Getter;

/**
 * 返回值
 *
 * @author chuxianming
 * @since 2024/9/6 16:07
 */
@Getter
public enum DemoResultCodeMessage implements ResultCodeMessage {
  SAVE_DM_FAIL("SAVE_DM_FAIL", "添加DM数据失败！"),
  UPDATE_DM_FAIL("UPDATE_DM_FAIL", "更新DM数据失败！"),
  DELETE_DM_FAIL("DELETE_DM_FAIL", "删除DM数据失败！"),
  PARAM_IS_NULL("PARAM_IS_NULL", "参数不能为空！");

  final String code;
  final String message;

  DemoResultCodeMessage(String code, String message) {
    this.code = code;
    this.message = message;
  }
}
